Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2206343002: Add metrics for YouTube Flash embed rewrite. (Closed)

Created:
2 years, 9 months ago by kdsilva
Modified:
2 years, 9 months ago
CC:
asvitkine+watch_chromium.org, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@layers
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add metrics for YouTube Flash embed rewrite. BUG=625985 Committed: https://crrev.com/af8d257f40cc928ec3a251b2341a323c661d4af5 Cr-Commit-Position: refs/heads/master@{#410722}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Addressed comments #

Patch Set 3 : Addressed comments #

Total comments: 6

Patch Set 4 : Addressed comments #

Patch Set 5 : rebase #

Patch Set 6 : rebase, again #

Total comments: 8

Patch Set 7 : #

Patch Set 8 : #

Total comments: 4

Patch Set 9 : Addressed comments #

Total comments: 6

Patch Set 10 : Addressed comments #

Total comments: 10

Patch Set 11 : Addressed comments #

Total comments: 12

Patch Set 12 : Addressed comments #

Total comments: 6

Patch Set 13 : Addressed comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+196 lines, -2 lines) Patch
M chrome/renderer/chrome_content_renderer_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +20 lines, -1 line 0 comments Download
M chrome/renderer/chrome_content_renderer_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +14 lines, -1 line 0 comments Download
M chrome/renderer/chrome_content_renderer_client_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +141 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +21 lines, -0 lines 0 comments Download

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 76 (54 generated)
kdsilva
2 years, 9 months ago (2016-08-04 09:46:00 UTC) #8
mlamouri (slow - plz ping)
lgtm, +asvitkine@ for histograms review. Note that one histogram value will be used on Chrome ...
2 years, 9 months ago (2016-08-04 12:42:02 UTC) #10
kdsilva
Addressed comments and ran `git cl format` which changed the formatting slightly. https://codereview.chromium.org/2206343002/diff/1/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc ...
2 years, 9 months ago (2016-08-04 14:13:22 UTC) #11
Alexei Svitkine (slow)
https://codereview.chromium.org/2206343002/diff/40001/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc (right): https://codereview.chromium.org/2206343002/diff/40001/chrome/renderer/chrome_content_renderer_client.cc#newcode1446 chrome/renderer/chrome_content_renderer_client.cc:1446: UMA_HISTOGRAM_ENUMERATION(kFlashYouTubeRewriteUMA, FAILURE_ENABLEJSAPI, UMA macros expand to a lot of ...
2 years, 9 months ago (2016-08-04 14:31:19 UTC) #12
kdsilva
https://codereview.chromium.org/2206343002/diff/40001/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc (right): https://codereview.chromium.org/2206343002/diff/40001/chrome/renderer/chrome_content_renderer_client.cc#newcode1446 chrome/renderer/chrome_content_renderer_client.cc:1446: UMA_HISTOGRAM_ENUMERATION(kFlashYouTubeRewriteUMA, FAILURE_ENABLEJSAPI, On 2016/08/04 14:31:18, Alexei Svitkine (slow) wrote: ...
2 years, 9 months ago (2016-08-04 18:28:53 UTC) #15
mlamouri (slow - plz ping)
https://codereview.chromium.org/2206343002/diff/100001/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc (right): https://codereview.chromium.org/2206343002/diff/100001/chrome/renderer/chrome_content_renderer_client.cc#newcode1404 chrome/renderer/chrome_content_renderer_client.cc:1404: void ChromeContentRendererClient::UpdateUMAMetrics(const int& status, Maybe name this "RecordYouTubeRewriteUMA"? And ...
2 years, 9 months ago (2016-08-05 12:51:10 UTC) #26
kdsilva
https://codereview.chromium.org/2206343002/diff/100001/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc (right): https://codereview.chromium.org/2206343002/diff/100001/chrome/renderer/chrome_content_renderer_client.cc#newcode1404 chrome/renderer/chrome_content_renderer_client.cc:1404: void ChromeContentRendererClient::UpdateUMAMetrics(const int& status, On 2016/08/05 12:51:09, Mounir Lamouri ...
2 years, 9 months ago (2016-08-05 14:33:55 UTC) #34
Alexei Svitkine (slow)
https://codereview.chromium.org/2206343002/diff/180001/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc (right): https://codereview.chromium.org/2206343002/diff/180001/chrome/renderer/chrome_content_renderer_client.cc#newcode188 chrome/renderer/chrome_content_renderer_client.cc:188: enum YouTubeRewriteStatus { Add a comment mentioning it's used ...
2 years, 9 months ago (2016-08-05 14:42:27 UTC) #37
mlamouri (slow - plz ping)
https://codereview.chromium.org/2206343002/diff/160001/chrome/renderer/chrome_content_renderer_client_unittest.cc File chrome/renderer/chrome_content_renderer_client_unittest.cc (right): https://codereview.chromium.org/2206343002/diff/160001/chrome/renderer/chrome_content_renderer_client_unittest.cc#newcode509 chrome/renderer/chrome_content_renderer_client_unittest.cc:509: ChromeContentRendererClient client; Can you move `client` inside ChromeContentRendererClientMetricsTest and ...
2 years, 9 months ago (2016-08-05 14:43:51 UTC) #38
kdsilva
https://codereview.chromium.org/2206343002/diff/160001/chrome/renderer/chrome_content_renderer_client_unittest.cc File chrome/renderer/chrome_content_renderer_client_unittest.cc (right): https://codereview.chromium.org/2206343002/diff/160001/chrome/renderer/chrome_content_renderer_client_unittest.cc#newcode509 chrome/renderer/chrome_content_renderer_client_unittest.cc:509: ChromeContentRendererClient client; On 2016/08/05 14:43:50, Mounir Lamouri wrote: > ...
2 years, 9 months ago (2016-08-05 15:55:13 UTC) #41
Alexei Svitkine (slow)
https://codereview.chromium.org/2206343002/diff/200001/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc (right): https://codereview.chromium.org/2206343002/diff/200001/chrome/renderer/chrome_content_renderer_client.cc#newcode190 chrome/renderer/chrome_content_renderer_client.cc:190: void RecordYouTubeRewriteUMA(int status) { Param can be a YouTubeRewriteStatus ...
2 years, 9 months ago (2016-08-05 16:34:56 UTC) #42
kdsilva
https://codereview.chromium.org/2206343002/diff/200001/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc (right): https://codereview.chromium.org/2206343002/diff/200001/chrome/renderer/chrome_content_renderer_client.cc#newcode190 chrome/renderer/chrome_content_renderer_client.cc:190: void RecordYouTubeRewriteUMA(int status) { On 2016/08/05 16:34:56, Alexei Svitkine ...
2 years, 9 months ago (2016-08-08 11:04:42 UTC) #47
Alexei Svitkine (slow)
lgtm % comments https://codereview.chromium.org/2206343002/diff/220001/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc (right): https://codereview.chromium.org/2206343002/diff/220001/chrome/renderer/chrome_content_renderer_client.cc#newcode188 chrome/renderer/chrome_content_renderer_client.cc:188: } Nit: // namespace internal https://codereview.chromium.org/2206343002/diff/220001/chrome/renderer/chrome_content_renderer_client.h ...
2 years, 9 months ago (2016-08-08 11:32:35 UTC) #48
mlamouri (slow - plz ping)
https://codereview.chromium.org/2206343002/diff/220001/chrome/renderer/chrome_content_renderer_client.h File chrome/renderer/chrome_content_renderer_client.h (left): https://codereview.chromium.org/2206343002/diff/220001/chrome/renderer/chrome_content_renderer_client.h#oldcode165 chrome/renderer/chrome_content_renderer_client.h:165: nit: I assume this change wasn't intentional?
2 years, 9 months ago (2016-08-08 12:40:28 UTC) #51
kdsilva
https://codereview.chromium.org/2206343002/diff/220001/chrome/renderer/chrome_content_renderer_client.cc File chrome/renderer/chrome_content_renderer_client.cc (right): https://codereview.chromium.org/2206343002/diff/220001/chrome/renderer/chrome_content_renderer_client.cc#newcode188 chrome/renderer/chrome_content_renderer_client.cc:188: } On 2016/08/08 11:32:34, Alexei Svitkine (very slow) wrote: ...
2 years, 9 months ago (2016-08-08 19:10:20 UTC) #56
kdsilva
jam@, could you rubber stamp this CL?
2 years, 9 months ago (2016-08-09 11:21:18 UTC) #59
mlamouri (slow - plz ping)
still lgtm https://codereview.chromium.org/2206343002/diff/240001/chrome/renderer/chrome_content_renderer_client_unittest.cc File chrome/renderer/chrome_content_renderer_client_unittest.cc (right): https://codereview.chromium.org/2206343002/diff/240001/chrome/renderer/chrome_content_renderer_client_unittest.cc#newcode544 chrome/renderer/chrome_content_renderer_client_unittest.cc:544: "http://www.youtube.com/embed/deadbeef?enablejsapi=1"}; style: move }; to the next ...
2 years, 9 months ago (2016-08-09 11:21:47 UTC) #62
kdsilva
https://codereview.chromium.org/2206343002/diff/240001/chrome/renderer/chrome_content_renderer_client_unittest.cc File chrome/renderer/chrome_content_renderer_client_unittest.cc (right): https://codereview.chromium.org/2206343002/diff/240001/chrome/renderer/chrome_content_renderer_client_unittest.cc#newcode544 chrome/renderer/chrome_content_renderer_client_unittest.cc:544: "http://www.youtube.com/embed/deadbeef?enablejsapi=1"}; On 2016/08/09 11:21:47, Mounir Lamouri wrote: > style: ...
2 years, 9 months ago (2016-08-09 12:38:20 UTC) #65
jam
lgtm
2 years, 9 months ago (2016-08-09 16:47:11 UTC) #70
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2206343002/260001
2 years, 9 months ago (2016-08-09 17:18:36 UTC) #73
commit-bot: I haz the power
Committed patchset #13 (id:260001)
2 years, 9 months ago (2016-08-09 17:22:42 UTC) #74
commit-bot: I haz the power
2 years, 9 months ago (2016-08-09 17:27:48 UTC) #76
Message was sent while issue was closed.
Patchset 13 (id:??) landed as
https://crrev.com/af8d257f40cc928ec3a251b2341a323c661d4af5
Cr-Commit-Position: refs/heads/master@{#410722}

Powered by Google App Engine
This is Rietveld 408576698